--[[ Semantic Opcode Module for the Kamin Core Interpreter
     KILT -- Kamin Interpreters in Lua Toolset
     H. Conrad Cunningham, Professor
     Computer and Information Science
     University of Mississippi

Developed for CSci 658, Software Language Engineering, Fall 2013

2013-08-17: Separated from Scheme code into a module
2013-08-24: Reverted Lisp/Scheme changes to build Core module.
2013-08-29: Added return of empty table

1234567890123456789012345678901234567890123456789012345678901234567890

--]]

-- All of these are constants introduced as GLOBAL variables.

FUNDEF     = "FunDef"
VARVAL     = "VarVal"
NUMVAL     = "NumVal"

IFOP       = "IfOp" 
WHILEOP    = "WhileOp" 
SETOP      = "SetOp" 
BEGINOP    = "BeginOp" 
APPLYFUN   = "ApplyFun"
APPLYOP    = "ApplyOp"

ADDOP      = "+"
SUBOP      = "-"
MULOP      = "*"
DIVOP      = "/"
EQOP       = "="
LTOP       = "<"
GTOP       = ">"
PRINTOP    = "print"

return {}
